Bug 1120867 - Review Request: golang-github-rcrowley-go-metrics - Go port of Coda Hales Metrics library
Summary: Review Request: golang-github-rcrowley-go-metrics - Go port of Coda Hales Met...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047194
TreeView+ depends on / blocked
 
Reported: 2014-07-17 21:42 UTC by Colin Walters
Modified: 2015-01-27 19:32 UTC (History)
4 users (show)

Fixed In Version: golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 07:23:46 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
tweaks on layout (2.17 KB, patch)
2014-09-10 18:07 UTC, Vincent Batts
no flags Details | Diff

Description Colin Walters 2014-07-17 21:42:02 UTC
Spec URL: https://github.com/projectatomic/golang-github-rcrowley-go-metrics-package
Fedora Account System Username: walters

Comment 1 Vincent Batts 2014-09-10 18:07:52 UTC
Created attachment 936279 [details]
tweaks on layout

comments to accommodate the attached patch:
* %{gopath} is provided by the golang rpm
* exclusivearch to have this not build on the ppc and s390 builders
* sane version constaints
* this -devel is noarch
* preserve time on source
* include tests
* removing the directories that are owned by the golang rpm
* include the version in the changelog

Comment 2 Jan Chaloupka 2014-09-11 08:11:47 UTC
Applied, pull request created.

Comment 3 Jan Chaloupka 2014-09-16 14:56:42 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rcrowley-go-metrics/golang-github-rcrowley-go-metrics.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-rcrowley-go-metrics/golang-github-rcrowley-go-metrics-0-0.0.git3be59ce.fc21.src.rpm

Description: Go port of Coda Hales Metrics library

$ rpmlint /root/rpmbuild/SRPMS/golang-github-rcrowley-go-metrics-0-0.0.git3be59ce.fc21.src.rpm /root/rpmbuild/RPMS/noarch/golang-github-rcrowley-go-metrics-devel-0-0.0.git3be59ce.fc21.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Initial commit by Colin Walters

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7591805

Comment 4 Lokesh Mandvekar 2014-09-19 17:29:41 UTC
BuildArch: noarch for main package
defattr and attrs aren't needed in files listing (doesn't hurt either way)

everything else LGTM

Comment 5 Lokesh Mandvekar 2014-09-19 17:31:28 UTC
also ..feel free to replace repo and project values with macros defined on top, no big deal :)

Comment 7 Lokesh Mandvekar 2014-09-19 17:55:50 UTC
LGTM.

specfile follows golang packaging draft guidelines: https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 8 Jan Chaloupka 2014-09-19 18:04:30 UTC
New Package SCM Request
=======================
Package Name: golang-github-rcrowley-go-metrics
Short Description: Go port of Coda Hales Metrics library
Upstream URL: https://github.com/rcrowley/go-metrics/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 9 Gwyn Ciesla 2014-09-19 19:09:37 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-09-22 06:43:53 UTC
golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc20

Comment 11 Fedora Update System 2014-09-22 06:45:42 UTC
golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc21

Comment 12 Fedora Update System 2014-10-01 04:16:59 UTC
golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-10-14 04:33:02 UTC
golang-github-rcrowley-go-metrics-0-0.1.git3be59ce.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-01-12 15:16:03 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc20

Comment 15 Fedora Update System 2015-01-12 15:16:24 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc21

Comment 16 Fedora Update System 2015-01-12 15:17:24 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.el6

Comment 17 Fedora Update System 2015-01-21 23:02:17 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-01-21 23:06:56 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-01-27 19:32:36 UTC
golang-github-rcrowley-go-metrics-0-0.2.gitdee209f.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.